Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154888 - clicking 'Ok' on the Resource Configuration window w/o actually adding any info causes a traceback
Summary: clicking 'Ok' on the Resource Configuration window w/o actually adding any in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 18:10 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 20:35:56 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-14 18:10:26 UTC
Description of problem:
Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ServiceController.py", line 363, in
rc_panel_ok
    returnlist = self.rc_handler.validate_resource(tagname, None)
  File "/usr/share/system-config-cluster/ResourceHandler.py", line 225, in
validate_resource
    returnlist = apply(self.rc_validate_hash[tagname], args)
  File "/usr/share/system-config-cluster/ResourceHandler.py", line 346, in
val_clusterfs
    raise ValidationError('FATAL', RESOURCE_PROVIDE_NAME)
NameError: global name 'RESOURCE_PROVIDE_NAME' is not defined


Version-Release number of selected component (if applicable):
system-config-cluster-0.9.30-1.0

How reproducible:
everytime

Comment 1 Jim Parsons 2005-04-25 22:34:11 UTC
Fixed in 0.9.34-1.0

Comment 2 Corey Marthaler 2005-04-26 20:35:56 UTC
fix verified in 0.9.36.


Note You need to log in before you can comment on or make changes to this bug.